package com.dji.sample;

import com.dji.sample.common.util.CommonUtil;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@MapperScan("com.dji.sample.*.dao")
@SpringBootApplication
@EnableScheduling
@ComponentScan("com.dji")
public class CloudApiSampleApplication {

	public static void main(String[] args) {

		CommonUtil.InitAuth();
		if(!CommonUtil.isAuthValid()){
			throw new RuntimeException("环境配置错误");
		}

		SpringApplication.run(CloudApiSampleApplication.class, args);
	}

}
